﻿using System.Collections;
using UnityEngine;

namespace Mod
{
    public class EMPGod33Behaviour : MonoBehaviour
    {
        private GameObject gameobjectStick;

        public Vector2 ChainConnector = new Vector2(0f, 0f);
        public Vector2 rodConnector = new Vector2(0f, 0f);

        Sprite Rod;
        private void Awake()
        {
            var mace = ModAPI.CreatePhysicalObject("Stick", ModAPI.LoadSprite("shieldmask3.png"));
            mace.AddComponent<EMPGodBehaviour2>();
mace.AddComponent<Chest3>();
            mace.transform.SetParent(gameObject.transform);
           mace.gameObject.GetComponent<PhysicalBehaviour>().rigidbody.gravityScale = -0.04f;
            mace.transform.localPosition = new Vector3(ChainConnector.x + 3f, ChainConnector.y);
            mace.FixColliders();

            DistanceJoint2D joint = gameObject.AddComponent<DistanceJoint2D>();
            joint.maxDistanceOnly = false;
            joint.enableCollision = true;
            joint.distance = 3f;
            joint.autoConfigureDistance = true;
            joint.breakForce = Mathf.Infinity;
            joint.breakTorque = Mathf.Infinity;
            joint.anchor = ChainConnector;
            joint.connectedBody = mace.GetComponent<Rigidbody2D>();
            joint.connectedAnchor = rodConnector;
            JointCreated(joint);
        }

        void JointCreated(DistanceJoint2D joint)
        {
            EnergyWireBehaviour energyWireBehaviour = joint.gameObject.AddComponent<EnergyWireBehaviour>();
            energyWireBehaviour.WireWidth = 0f;
            energyWireBehaviour.typedJoint = joint;
            energyWireBehaviour.WireMaterial = Resources.Load<Material>("Materials/Bandage");

            
        }
    }
}